API: Organizations and projects
Generated from the API's OpenAPI schema. Paths are relative to https://cloud.tebibhost.com. Authentication, errors, pagination and idempotency are on the API overview.
GET/api/v1/orgs
List Organizations (listOrganizations)
IAM action: org:DescribeOrganization
Responses
200OK (array of OrganizationOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
GET/api/v1/orgs/{organization_id}
Get Organization (getOrganization)
IAM action: org:DescribeOrganization
| Parameter | In | Type | Description |
|---|---|---|---|
organization_id required | path | string |
Responses
200OK (OrganizationOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of OrganizationOut
| Field | Type | Description |
|---|---|---|
id | string | |
name | string | |
status | string | |
trn | string |
GET/api/v1/orgs/{organization_id}/projects
List Projects (listProjects)
IAM action: org:DescribeProject
| Parameter | In | Type | Description |
|---|---|---|---|
organization_id required | path | string | |
limit | query | integer (nullable) | |
cursor | query | string (nullable) |
Responses
200OK (Page_ProjectOut_)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of Page_ProjectOut_
| Field | Type | Description |
|---|---|---|
items | array of ProjectOut | |
next_cursor | string (nullable) |
POST/api/v1/orgs/{organization_id}/projects
Create Project (createProject)
IAM action: org:CreateProject
| Parameter | In | Type | Description |
|---|---|---|---|
organization_id required | path | string |
Request body (JSON, ProjectIn)
| Field | Type | Description |
|---|---|---|
description | string | Default: "". |
name required | string | |
tags | object |
Responses
202Accepted (ProjectOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of ProjectOut
| Field | Type | Description |
|---|---|---|
created_at | string (date-time) | |
description | string | |
id | string | |
name | string | |
organization_id | string | |
state | string | |
status_message | string | |
tags | object | |
trn | string | |
updated_at | string (date-time) |
GET/api/v1/projects/{project_id}
Get Project (getProject)
IAM action: org:DescribeProject
| Parameter | In | Type | Description |
|---|---|---|---|
project_id required | path | string |
Responses
200OK (ProjectOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of ProjectOut
| Field | Type | Description |
|---|---|---|
created_at | string (date-time) | |
description | string | |
id | string | |
name | string | |
organization_id | string | |
state | string | |
status_message | string | |
tags | object | |
trn | string | |
updated_at | string (date-time) |
PATCH/api/v1/projects/{project_id}
Update Project (updateProject)
IAM action: org:UpdateProject
| Parameter | In | Type | Description |
|---|---|---|---|
project_id required | path | string |
Request body (JSON, TagsPatch)
| Field | Type | Description |
|---|---|---|
description | string (nullable) | |
tags | object (nullable) |
Responses
200OK (ProjectOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of ProjectOut
| Field | Type | Description |
|---|---|---|
created_at | string (date-time) | |
description | string | |
id | string | |
name | string | |
organization_id | string | |
state | string | |
status_message | string | |
tags | object | |
trn | string | |
updated_at | string (date-time) |
DELETE/api/v1/projects/{project_id}
Delete Project (deleteProject)
IAM action: org:DeleteProject
| Parameter | In | Type | Description |
|---|---|---|---|
project_id required | path | string |
Responses
202Accepted (ProjectOut)400Invalid request (ErrorOut)401Not authenticated (ErrorOut)403Access denied: the error names the action and the resource (ErrorOut)404Not found (also: the resource belongs to another organization) (ErrorOut)409Conflict or quota exceeded (ErrorOut)422Idempotency key reused for a different request (ErrorOut)429Rate limited (ErrorOut)
Fields of ProjectOut
| Field | Type | Description |
|---|---|---|
created_at | string (date-time) | |
description | string | |
id | string | |
name | string | |
organization_id | string | |
state | string | |
status_message | string | |
tags | object | |
trn | string | |
updated_at | string (date-time) |